/*
 *     Created by Dionis Beqiraj on 10/08/2022, 16:42
 *     dbeqiraj.sohoal@gmail.com
 *     Last modified 10/08/2022, 16:41
 *     Copyright (c) 2022.
 *     All rights reserved.
 */

package com.dbeqiraj.annotiations_processor.paginate.remotekeyentity

class RemoteKeyEntityBuilder(
    className: String,
    packageName: String
) {
    private val contentTemplate = """
        package $packageName
        
        import androidx.room.Entity
        import androidx.room.PrimaryKey
        
        /**
        * Autogenerated
        */
        @Entity
        data class $className(
            @PrimaryKey val id: Int,
            val prevKey: Int?,
            val nextKey: Int?
        )
        
    """.trimIndent()

    fun getContent(): String {
        return contentTemplate
    }
}
